Bug 9398 - [ ? ] Link Lacks Context for All General Users (Accessibility) [Contexual Help]
Summary: [ ? ] Link Lacks Context for All General Users (Accessibility) [Contexual Help]
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Corey
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-15 22:23 UTC by Corey
Modified: 2014-05-26 21:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Patch which replaces [ ? ] with 'Help' (1.27 KB, patch)
2013-01-15 22:27 UTC, Corey
Details | Diff | Splinter Review
bug 9398 - [ ? ] Link Lacks Context for All General Users (Accessibility) [Contexual Help] (1.48 KB, patch)
2013-01-16 19:49 UTC, Liz Rea
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9398 - [ ? ] Link Lacks Context for All General Users (Accessibility) [Contexual Help] (1.64 KB, patch)
2013-01-17 07:38 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Corey 2013-01-15 22:23:23 UTC
Every page contains a Question Mark link at the very top-right part of the screen which isn't a clear indicator for all users to access Help for General Use. 

With this problem, Visually Impaired Users question what the Question Mark is referring to once it is read back to them.
Comment 1 Corey 2013-01-15 22:27:29 UTC Comment hidden (obsolete)
Comment 2 Liz Rea 2013-01-16 19:49:23 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2013-01-17 07:38:17 UTC
Created attachment 14656 [details] [review]
[SIGNED-OFF] Bug 9398 - [ ? ] Link Lacks Context for All General Users (Accessibility) [Contexual Help]

testing procedure:
1. see that [ ? ] has simply been changed to 'Help'

Signed-off-by: Liz Rea <liz@catalyst.net.nz>
I like this change, the context is improved even for sighted individuals, and it helps screen reader users a great deal.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
The new 'Help' doesn't take up a lot more space than the old '[ ? ]'
and makes it easier to undertand what will happen when you click on it.
Comment 4 Jared Camins-Esakov 2013-01-18 01:57:47 UTC
This patch has been pushed to master.
Comment 5 Chris Cormack 2013-01-24 02:02:27 UTC
Pushed to 3.10.x will be in 3.10.3